GET License/Site/{id}
Some tooltip text!
• 4 minutes to read
• 4 minutes to read
GET /api/v1/License/Site/{satelliteId}
Obtain information about satellite module licenses
| Path Part | Type | Description |
|---|---|---|
| satelliteId | int32 | Satellite id to check for satellite module licenses Required |
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Response:array
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: array
| Property Name | Type | Description |
|---|---|---|
| Name | string | The name of the license owner |
| Description | string | |
| RestrictedModuleLicenses | array | |
| UnrestrictedModuleLicenses | array | The unrestricted module licenses that this license owner |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
GET /api/v1/License/Site/{satelliteId}
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: fr,de,ru,zh
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
[
{
"Name": "Glover Inc and Sons",
"Description": "Re-engineered solution-oriented local area network",
"RestrictedModuleLicenses": [
{
"Unrestricted": true,
"Total": 748,
"Tooltip": "rerum",
"CanAssign": false,
"Free": 57,
"InUse": 228,
"IsHidden": false,
"Assigned": false,
"ModuleLicenseId": 867,
"Name": "Enterprise License",
"Description": "Reactive human-resource workforce",
"PrerequisiteModuleName": "Balistreri, Goldner and Dare",
"SortOrder": 963,
"ExtraFlags": 441,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 273
}
}
}
],
"UnrestrictedModuleLicenses": [
{
"Unrestricted": true,
"Total": 192,
"Tooltip": "error",
"CanAssign": true,
"Free": 82,
"InUse": 474,
"IsHidden": true,
"Assigned": false,
"ModuleLicenseId": 830,
"Name": "Enterprise License",
"Description": "Compatible value-added strategy",
"PrerequisiteModuleName": "Senger-O'Hara",
"SortOrder": 956,
"ExtraFlags": 646,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 383
}
}
}
],
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 947
}
}
},
{
"Name": "Glover Inc and Sons",
"Description": "Re-engineered solution-oriented local area network",
"RestrictedModuleLicenses": [
{
"Unrestricted": true,
"Total": 748,
"Tooltip": "rerum",
"CanAssign": false,
"Free": 57,
"InUse": 228,
"IsHidden": false,
"Assigned": false,
"ModuleLicenseId": 867,
"Name": "Enterprise License",
"Description": "Reactive human-resource workforce",
"PrerequisiteModuleName": "Balistreri, Goldner and Dare",
"SortOrder": 963,
"ExtraFlags": 441,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 273
}
}
}
],
"UnrestrictedModuleLicenses": [
{
"Unrestricted": true,
"Total": 192,
"Tooltip": "error",
"CanAssign": true,
"Free": 82,
"InUse": 474,
"IsHidden": true,
"Assigned": false,
"ModuleLicenseId": 830,
"Name": "Enterprise License",
"Description": "Compatible value-added strategy",
"PrerequisiteModuleName": "Senger-O'Hara",
"SortOrder": 956,
"ExtraFlags": 646,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 383
}
}
}
],
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 947
}
}
}
]